<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
DatabaseStream Members
DatabaseStream Class Methods Properties See Also Send Feedback

The DatabaseStream type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Close | Discard the database stream. It is possible for the Close() method to throw a DatabaseException if there is any failure. After Close has been called, regardless of its result, the database stream handle cannot be used again. Always close the stream when you have finished accessing the BLOB.
| Dispose | Release the resources held by this object, and close the database stream if it is still open.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| Read | Read from the blob accessed by this database stream.
| Size | Return the size of the blob in bytes accessed by the database stream.
| ToString | Returns a string that represents the current object. (Inherited from Object.)
| Write | Write to the blob accessed by the database stream.

# Properties

| Name | Description
--- | --- | ---
| GetConfig | Return the database stream configuration.

# See Also

DatabaseStream Class
BerkeleyDB Namespace